net.minecraft.item

## Class ItemArmor

- java.lang.Object
- - net.minecraft.item.Item
  - - net.minecraft.item.ItemArmor

-     public class ItemArmor
      extends Item

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ItemArmor.ArmorMaterial`

    - ### Nested classes/interfaces inherited from class net.minecraft.item.Item

      `Item.ToolMaterial`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `armorType`
    `int` | `damageReduceAmount`
    `static java.lang.String[]` | `EMPTY_SLOT_NAMES`
    `int` | `renderIndex`

    - ### Fields inherited from class net.minecraft.item.Item

      `bFull3D, canRepair, field_111210_e, hasSubtypes, iconString, itemIcon, itemRand, itemRegistry, maxStackSize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ItemArmor(ItemArmor.ArmorMaterial p_i45325_1_, int p_i45325_2_, int p_i45325_3_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `func_82813_b(ItemStack par1ItemStack, int par2)`
    `static IIcon` | `func_94602_b(int par0)`
    `ItemArmor.ArmorMaterial` | `getArmorMaterial()`
    `int` | `getColor(ItemStack par1ItemStack)`
    `int` | `getColorFromItemStack(ItemStack par1ItemStack, int par2)`
    `IIcon` | `getIconFromDamageForRenderPass(int par1, int par2)`
    `boolean` | `getIsRepairable(ItemStack par1ItemStack, ItemStack par2ItemStack)`
    `int` | `getItemEnchantability()`
    `boolean` | `hasColor(ItemStack par1ItemStack)`
    `ItemStack` | `onItemRightClick(ItemStack par1ItemStack, World par2World, EntityPlayer par3EntityPlayer)`
    `void` | `registerIcons(IIconRegister par1IconRegister)`
    `void` | `removeColor(ItemStack par1ItemStack)`
    `boolean` | `requiresMultipleRenderPasses()`

    - ### Methods inherited from class net.minecraft.item.Item

      `addInformation, canHarvestBlock, canItemEditBlocks, createEntity, doesContainerItemLeaveCraftingGrid, doesSneakBypassUse, func_150893_a, func_150897_b, getArmorModel, getArmorTexture, getAttributeModifiers, getChestGenBase, getContainerItem, getContainerItem, getCreativeTab, getCreativeTabs, getDamage, getDigSpeed, getDisplayDamage, getDurabilityForDisplay, getEntityLifespan, getFontRenderer, getHarvestLevel, getHasSubtypes, getIcon, getIcon, getIconFromDamage, getIconIndex, getIconString, getIdFromItem, getItemAttributeModifiers, getItemById, getItemFromBlock, getItemStackDisplayName, getItemStackLimit, getItemStackLimit, getItemUseAction, getMaxDamage, getMaxDamage, getMaxItemUseDuration, getMetadata, getMovingObjectPositionFromPlayer, getPotionEffect, getRarity, getRenderPasses, getShareTag, getSmeltingExperience, getSpriteNumber, getSubItems, getToolClasses, getUnlocalizedName, getUnlocalizedName, getUnlocalizedNameInefficiently, hasContainerItem, hasContainerItem, hasCustomEntity, hasEffect, hasEffect, hitEntity, isBookEnchantable, isDamageable, isDamaged, isFull3D, isItemTool, isMap, isPotionIngredient, isRepairable, isValidArmor, itemInteractionForEntity, onArmorTick, onBlockDestroyed, onBlockStartBreak, onCreated, onDroppedByPlayer, onEaten, onEntityItemUpdate, onEntitySwing, onItemUse, onItemUseFirst, onLeftClickEntity, onPlayerStoppedUsing, onUpdate, onUsingTick, registerItems, renderHelmetOverlay, setContainerItem, setCreativeTab, setDamage, setFull3D, setHarvestLevel, setHasSubtypes, setMaxDamage, setMaxStackSize, setNoRepair, setPotionEffect, setTextureName, setUnlocalizedName, shouldRotateAroundWhenRendering, showDurabilityBar`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EMPTY_SLOT_NAMES

          public static final java.lang.String[] EMPTY_SLOT_NAMES

    - #### armorType

          public final int armorType

    - #### damageReduceAmount

          public final int damageReduceAmount

    - #### renderIndex

          public final int renderIndex

  - ### Constructor Detail

    - #### ItemArmor

          public ItemArmor(ItemArmor.ArmorMaterial p_i45325_1_,
                   int p_i45325_2_,
                   int p_i45325_3_)

  - ### Method Detail

    - #### getColorFromItemStack

          public int getColorFromItemStack(ItemStack par1ItemStack,
                                  int par2)

      Overrides:
        `getColorFromItemStack` in class `Item`

    - #### requiresMultipleRenderPasses

          public boolean requiresMultipleRenderPasses()

      Overrides:
        `requiresMultipleRenderPasses` in class `Item`

    - #### getItemEnchantability

          public int getItemEnchantability()

      Overrides:
        `getItemEnchantability` in class `Item`

    - #### getArmorMaterial

          public ItemArmor.ArmorMaterial getArmorMaterial()

    - #### hasColor

          public boolean hasColor(ItemStack par1ItemStack)

    - #### getColor

          public int getColor(ItemStack par1ItemStack)

    - #### getIconFromDamageForRenderPass

          public IIcon getIconFromDamageForRenderPass(int par1,
                                             int par2)

      Overrides:
        `getIconFromDamageForRenderPass` in class `Item`

    - #### removeColor

          public void removeColor(ItemStack par1ItemStack)

    - #### func_82813_b

          public void func_82813_b(ItemStack par1ItemStack,
                          int par2)

    - #### getIsRepairable

          public boolean getIsRepairable(ItemStack par1ItemStack,
                                ItemStack par2ItemStack)

      Overrides:
        `getIsRepairable` in class `Item`

    - #### registerIcons

          public void registerIcons(IIconRegister par1IconRegister)

      Overrides:
        `registerIcons` in class `Item`

    - #### onItemRightClick

          public ItemStack onItemRightClick(ItemStack par1ItemStack,
                                   World par2World,
                                   EntityPlayer par3EntityPlayer)

      Overrides:
        `onItemRightClick` in class `Item`

    - #### func_94602_b

          public static IIcon func_94602_b(int par0)